* {
  margin: 0;
  padding: 0;
  font-family: "Poppins", sans-serif;
  box-sizing: border-box;
  word-break: break-word;
  scroll-behavior: smooth;
}

p {
  text-wrap: balance;
}

:root {
  --white: #ffffff;
  --blue: #002d56;
  --blueLight: #027df0;
  --blueLight2: #cce6ff;
  --grey: #7f96aa;
}

body.noscroll {
  overflow: hidden;
}

body{
	background-color: #EEF5FD;
}

img,
svg {
  max-width: 100%;
  --drag: none;
  user-select: none;
  -moz-user-select: none;
  -webkit-user-drag: none;
  -webkit-user-select: none;
  -ms-user-select: none;
}

.desktop_header .navigation_contain .nav_bar > a:hover {
  color: var(--blueLight);
}

a {
  display: inline-block;
  text-decoration: none;
  transition: 0.25s;
}

h2 {
  text-wrap: balance;
}

button {
  cursor: pointer;
}

button,
i {
  transition: 0.25s;
}

.buttons .btn svg path {
  stroke: var(--white);
}

header {
  width: 100%;
  padding: 1vw 6vw;
}
.icon-btn {
  transform: rotate(-45deg);
}

.logo-box {
  width: 6vw;
}

.desktop_header {
  display: flex;
  justify-content: space-between;
  align-items: center;
}
.desktop_header .navigation_contain .nav_bar {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 1vw;
}

.desktop_header .navigation_contain .nav_bar a {
  font-size: 1vw;
  color: var(--grey);
  gap: 0.5vw;
  font-weight: 500;
}

.btn {
  display: inline-flex;
  align-items: center;
  justify-content: space-between;
  gap: 10px;
  font-size: 1vw;
  text-decoration: none;
  transition: all 0.3s ease;
  font-weight: 500;
  padding: 14px 28px; 
  border-radius: 12px;
}

/* Icono */
.btn .icon {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 28px;
  height: 28px;
  border-radius: 50%;
  font-size: 14px;
  transition: all 0.3s ease;
}

.btn-outline {
  color: #fff;
  border: 1.5px solid #fff;
  background: transparent;
}

.btn-outline .icon {
  border: 1.5px solid #fff;
}

.btn-outline:hover {
  background-color: var(--orange);
  border: 1.5px solid var(--orange);
}

.btn-primary {
  background: var(--blue);
  color: #fff;
  border: none;
}

.btn-primary:hover {
  background: var(--blueLight);
}

.btn-secundary{
	background: var(--blueLight);
	color: var(--white);
}

.btn-secundary:hover{
	background: var(--blue);
}



.navbar {
  display: flex;
  gap: 2vw;
}

.navbar_item {
  text-decoration: none;
  font-size: 1vw;
  display: flex;
  align-items: center;
  gap: 5px;
}

.navbar_active {
  color: var(--orange) !important;
}

.dropdown {
  position: relative;
}

.dropdown_menu {
  position: absolute;
  top: 120%;
  left: 0;
  min-width: 300px;
  border-radius: 8px;
  color: var(--white);
  padding: 0.5vw 0;
  background-color: #EEF5FD;
  backdrop-filter: blur(5px);
  box-shadow: 0 10px 25px rgba(0, 0, 0, 0.15);
  opacity: 0;
  visibility: hidden;
  transform: translateY(10px);
  transition: all 0.3s ease;
  z-index: 9999;
}
.dropdown:hover .dropdown_menu {
  opacity: 1;
  visibility: visible;
  transform: translateY(0);
}

.dropdown_menu a {
  display: block;
  padding: 0.5vw 0.8vw;
  color: var(--blue);
  text-decoration: none;
  font-size: 0.8vw;
}

.dropdown_menu a:hover {
  background: var(--blueLight2);
  color: var(--white);
}

.dropdown i {
  transition: transform 0.3s ease;
}

.dropdown:hover i {
  transform: rotate(180deg);
}

.mobile_header {
  display: none;
}

.menu_toggle {
  display: flex;
  flex-direction: column;
  gap: 5px;
  cursor: pointer;
  z-index: 9999;
}

.menu_toggle span {
  width: 25px;
  height: 3px;
  background: var(--blue);
  transition: 0.3s;
}

.mobile_menu {
  position: fixed;
  top: -120dvh;
  left: 0;
  width: 100%;
  height: 100dvh;
  backdrop-filter: blur(10px);
  background: #f5f5f5b8;
  z-index: 999;
  flex-direction: column;
  gap: 6vw;
  display: flex;
  justify-content: center;
  align-items: center;
  transition: top 0.4s ease;
}

.mobile_menu.active {
  top: 0;
}

.mobile_nav {
  display: flex;
  flex-direction: column;
  gap: 20px;
  text-align: center;
}

.mobile_nav a {
  color: var(--blue);
  font-size: 20px;
  text-decoration: none;
}

.mobile_dropdown_menu {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.3s ease;
}

.mobile_dropdown.active .mobile_dropdown_menu {
  max-height: 200px;
  display: flex;
  flex-direction: column;
  gap: 3vw;
  padding: 6vw 0;
}

.mobile_dropdown_menu {
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.35s ease;
}

.mobile_dropdown.active .mobile_dropdown_menu {
  max-height: 300px; 
}

.mobile_dropdown_header {
  color: var(--blue);
  font-size: 20px;
  cursor: pointer;
}

.menu_toggle.active span:nth-child(1) {
  transform: rotate(45deg) translate(5px, 5px);
}

.menu_toggle.active span:nth-child(2) {
  opacity: 0;
}

.menu_toggle.active span:nth-child(3) {
  transform: rotate(-45deg) translate(5px, -5px);
}

.section-footer {
  padding: 3vw;
  background-color: var(--blueLight2);
  margin: 0 6vw 0 6vw;
  border-radius: 16px;
}

.section-footer .container-footer {
  display: flex;
  gap: 2vw;
  align-items: center;
  flex-direction: column;
}

.section-footer .container-footer .row1 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr 1fr;
  gap: 3vw;
}
.hr-style {
  height: 1px;
  opacity: 0.5;
  background-color: var(--grey);
  width: 100%;
}
footer h3 {
  color: var(--blue);
  font-size: 1.6vw;
}
.section-footer .container-footer .row1 .item {
  display: flex;
  flex-direction: column;
  gap: 1vw;
}

.section-footer .container-footer .row1 div img {
  width: 100%;
  height: 100px;
  object-fit: contain;
}

footer a {
  color: var(--blue);
  transition: color 0.5s;
  font-size: 1vw;
  font-weight: 500;
}
footer a:hover {
  color: var(--blueLight);
}
.section-footer .container-footer .row2 {
  width: 100%;
  display: flex;
  gap: 1.5vw;
  font-weight: 500;
  font-size: 1vw;
  color: var(--blue);
  justify-content: center;
}
.section-footer .container-footer .row1 .item-logo {
  text-align: center;
}
.section-footer .container-footer .row1 .item-logo i {
  font-size: 1.6vw;
}

.btn-primary:hover {
  transform: translateY(-1px) scale(1.01);
}

.btn-secundary:hover {
  transform: translateY(-1px) scale(1.01);
}

@media (max-width: 996px) {
  .btn{
    font-size: 4vw;
  }
  .section-footer {
    padding: 12vw 6vw;
  }
  .section-footer .container-footer .row2 {
    flex-direction: column;
    text-align: center;
  }
  .section-footer .container-footer .row2 {
    font-size: 3vw;
  }
  .section-footer .container-footer .row1 .item {
    gap: 3vw;
    text-align: center;
  }
  .section-footer .container-footer .row1 .item-logo i {
    font-size: 6vw;
  }
  footer a {
    font-size: 3.5vw;
  }
  footer h3 {
    font-size: 6vw;
  }
  .section-footer .container-footer .row1 {
    grid-template-columns: 1fr;
    gap: 6vw;
  }
  .logo-box {
    width: 22vw;
  }
  .banner_section .banner_box {
    width: 100% !important;
    padding: 6vw;
  }
  .banner_section .banner_box .banner_content {
    padding: 0;
    gap: 3vw;
  }

  .menu_toggle.active span:nth-child(1) {
    transform: rotate(45deg) translate(5px, 5px);
  }

  .menu_toggle.active span:nth-child(2) {
    opacity: 0;
  }

  .menu_toggle.active span:nth-child(3) {
    transform: rotate(307deg) translate(7px, -5px);
  }

  .desktop_header {
    display: none;
  }

  .mobile_header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
  }
}
